ZGETRS(3f)

NAME
ZGETRS - a system of linear equations A * X = B, A**T * X = B, or A**H * X = B with a general N-by-N matrix A using the LU factorization computed by ZGETRF

SYNOPSIS

SUBROUTINE ZGETRS(
    TRANS, N, NRHS, A, LDA, IPIV, B, LDB, INFO )

CHARACTER
    TRANS

INTEGER
    INFO, LDA, LDB, N, NRHS

INTEGER
    IPIV( * )

COMPLEX*16
    A( LDA, * ), B( LDB, * )

PURPOSE
ZGETRS solves a system of linear equations
   A * X = B, A**T * X = B, or A**H * X = B with a general N-by-N matrix A using the LU factorization computed by ZGETRF.

ARGUMENTS

TRANS   (input) CHARACTER*1
    Specifies the form of the system of equations:
    = 'N': A * X = B (No transpose)
    = 'T': A**T * X = B (Transpose)
    = 'C': A**H * X = B (Conjugate transpose)

N       (input) INTEGER
    The order of the matrix A. N >= 0.

NRHS    (input) INTEGER
    The number of right hand sides, i.e., the number of columns of the matrix B. NRHS >= 0.

A       (input) COMPLEX*16 array, dimension (LDA,N)
    The factors L and U from the factorization A = P*L*U as computed by ZGETRF.

LDA     (input) INTEGER
    The leading dimension of the array A. LDA >= max(1,N).

IPIV    (input) INTEGER array, dimension (N)
    The pivot indices from ZGETRF; for 1<=i<=N, row i of the matrix was interchanged with row IPIV(i).

B       (input/output) COMPLEX*16 array, dimension (LDB,NRHS)
    On entry, the right hand side matrix B. On exit, the solution matrix X.

LDB     (input) INTEGER
    The leading dimension of the array B. LDB >= max(1,N).

INFO    (output) INTEGER
    = 0: successful exit
    < 0: if INFO = -i, the i-th argument had an illegal value